#!/usr/bin/env python3

import ev3dev.ev3 as ev3


# add enum for color definitions

class Sensor:
    def __init__(self):
        self._sensor = ev3.ColorSensor()
        self._sensor.mode = 'COL-REFLECT'

    def iscolor(self, color):
        curcol = self._sensor.bin_data("hhh")
        if curcol == curcol:
            return True
        else:
            return False

    # see https://stackoverflow.com/questions/687261/converting-rgb-to-grayscale-intensity
    def getbrightness(self):
        if(self._sensor.mode == 'COL-REFLECT'):
            return self._sensor.value
        else:
            print("ERROR: incorrect sensor mode.")

    def setmode(self, newmode):
        self._sensor.mode = newmode
